#include <iostream>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);
    int n,k;
    cin>>n>>k;
    int c=0;
    int levi[n+1];
    int desni[n+1];
    int help;
    for(int i=0;i<=n;i++)
    {
        levi[i]=0;
        desni[i]=0;
    }
    for(int i=0;i<n;i++)
    {
        cin>>help;
        if(help<0)
        {
            levi[-1*help]++;
            if(levi[-1*help]==k)c++;
        }
        else
        {
            desni[help]++;
            if(desni[help]==k)c++;
        }
    }
    cout<<c<<"\n";
    for(int i=1;i<=n;i++)
    {
        if(levi[i]>=k)cout<<-1*i<<" ";
        if(desni[i]>=k)cout<<i<<" ";
    }
}